CREATE TABLE abono (
  AbonoNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  ClienteSinIVA tinyint(1) NOT NULL DEFAULT 0,
  ClienteSinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  ClienteREQ tinyint(1) NOT NULL DEFAULT 0,
  ClienteREQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  Efectivo decimal(14,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  PagoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  FacturaNo int(10) unsigned DEFAULT NULL,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (AbonoNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE abonoarticulo (
  AbonoNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (AbonoNo)
) ENGINE=InnoDB ;

CREATE TABLE abonoivatotal (
  AbonoNo int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  BaseImponible decimal(14,4) NOT NULL DEFAULT 0.0000,
  ImporteIVA decimal(12,4) NOT NULL DEFAULT 0.0000,
  ImporteREQ decimal(12,4) NOT NULL DEFAULT 0.0000,
  SubTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  KEY DocNo (AbonoNo)
) ENGINE=InnoDB ;

CREATE TABLE abonoproveedor (
  AbonoProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  PagoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (AbonoProveedorNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE abonoproveedorarticulo (
  AbonoProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (AbonoProveedorNo)
) ENGINE=InnoDB ;

CREATE TABLE albaran (
  AlbaranNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  ClienteSinIVA tinyint(1) NOT NULL DEFAULT 0,
  ClienteSinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  ClienteREQ tinyint(1) NOT NULL DEFAULT 0,
  ClienteREQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  Efectivo decimal(14,4) NOT NULL DEFAULT 0.0000,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  PreFormaDePagoNo int(10) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  AbonoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CobroTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  Cobrado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (AlbaranNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE albaranarticulo (
  AlbaranNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  PrecioCoste decimal(12,4) NOT NULL DEFAULT 0.0000,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (AlbaranNo)
) ENGINE=InnoDB ;

CREATE TABLE albaranivatotal (
  AlbaranNo int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  BaseImponible decimal(14,4) NOT NULL DEFAULT 0.0000,
  ImporteIVA decimal(12,4) NOT NULL DEFAULT 0.0000,
  ImporteREQ decimal(12,4) NOT NULL DEFAULT 0.0000,
  SubTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  KEY DocNo (AlbaranNo)
) ENGINE=InnoDB ;

CREATE TABLE albaranproveedor (
  AlbaranProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  PagoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (AlbaranProveedorNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE albaranproveedorarticulo (
  AlbaranProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (AlbaranProveedorNo)
) ENGINE=InnoDB ;

CREATE TABLE alimentodetalle (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Ingrediente varchar(255) NOT NULL DEFAULT '',
  PesoTotal varchar(20) NOT NULL DEFAULT '',
  PesoNeto varchar(20) NOT NULL DEFAULT '',
  FechaCaducada varchar(20) NOT NULL DEFAULT '',
  LugarFabricante varchar(20) NOT NULL DEFAULT '',
  Importador varchar(40) NOT NULL DEFAULT '',
  NumeroSanitario varchar(20) NOT NULL DEFAULT '',
  NumeroLote varchar(20) NOT NULL DEFAULT '',
  Adjuncion varchar(255) DEFAULT NULL,
  Observacion text NOT NULL,
  PRIMARY KEY (ArticuloID)
) ENGINE=MyISAM ;

CREATE TABLE almacen (
  AlmacenID smallint(5) NOT NULL DEFAULT 0,
  NombreES varchar(30) NOT NULL DEFAULT '',
  NombreCN varchar(60) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (AlmacenID)
) ENGINE=MyISAM ;

CREATE TABLE almacenmovimiento (
  AlmacenMovimientoNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  AlmacenOrigenID smallint(5) unsigned NOT NULL DEFAULT 1,
  AlmacenDestinoID smallint(5) unsigned NOT NULL DEFAULT 1,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (AlmacenMovimientoNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE almacenmovimientoarticulo (
  AlmacenMovimientoNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (AlmacenMovimientoNo)
) ENGINE=InnoDB ;

CREATE TABLE anuncio (
  ID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(80) NOT NULL DEFAULT '',
  Dibujo longblob DEFAULT NULL,
  MD5 varchar(40) NOT NULL DEFAULT '',
  Texto text NOT NULL,
  Invisible tinyint(1) NOT NULL DEFAULT 0,
  MostrarTiempo smallint(5) unsigned NOT NULL DEFAULT 5,
  Observacion text NOT NULL,
  PRIMARY KEY (ID)
) ENGINE=MyISAM ;

CREATE TABLE archivoconfiguracion (
  NombreID varchar(120) NOT NULL,
  Familia varchar(60) NOT NULL DEFAULT '',
  Nombre varchar(60) NOT NULL DEFAULT '',
  Archivo longblob DEFAULT NULL,
  MD5 varchar(40) NOT NULL DEFAULT '',
  Observacion text NOT NULL,
  PRIMARY KEY (NombreID)
) ENGINE=MyISAM ;

CREATE TABLE articulo (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  Descripcion varchar(120) NOT NULL DEFAULT '',
  PrecioDetalle decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioDomicilio decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioSocio decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioMayor decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioFactura decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioInternet decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioAmigo decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioEspecial decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioOferta decimal(12,4) NOT NULL DEFAULT 0.0000,
  PrecioCoste decimal(12,4) NOT NULL DEFAULT 0.0000,
  NombreES varchar(255) NOT NULL DEFAULT '',
  PrimeraLetra varchar(20) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  PinYin varchar(200) NOT NULL DEFAULT '',
  CantidadPorUnidad decimal(12,2) NOT NULL DEFAULT 1.00,
  CantidadPorUnidad2 decimal(12,2) NOT NULL DEFAULT 1.00,
  VolumenPeso decimal(12,2) NOT NULL DEFAULT 1.00,
  SoloPorUnidad tinyint(1) NOT NULL DEFAULT 0,
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 1,
  UnidadNombre varchar(30) NOT NULL DEFAULT '',
  FechaPrecioCoste date DEFAULT NULL,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  ValeDescuento float(5,2) NOT NULL DEFAULT 0.00,
  FacturaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  FechaCaducada date DEFAULT NULL,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Oferta tinyint(1) NOT NULL DEFAULT 0,
  Privado tinyint(1) NOT NULL DEFAULT 0,
  UsarPrecioPorCantidad tinyint(1) NOT NULL DEFAULT 0,
  UsarDescuentoPorCantidad tinyint(1) NOT NULL DEFAULT 0,
  Precio1 decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento1 float(5,2) NOT NULL DEFAULT 0.00,
  Cantidad1 decimal(12,2) NOT NULL DEFAULT 0.00,
  Precio2 decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento2 float(5,2) NOT NULL DEFAULT 0.00,
  Cantidad2 decimal(12,2) NOT NULL DEFAULT 0.00,
  Precio3 decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento3 float(5,2) NOT NULL DEFAULT 0.00,
  Cantidad3 decimal(12,2) NOT NULL DEFAULT 0.00,
  Precio4 decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento4 float(5,2) NOT NULL DEFAULT 0.00,
  Cantidad4 decimal(12,2) NOT NULL DEFAULT 0.00,
  Precio5 decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento5 float(5,2) NOT NULL DEFAULT 0.00,
  Cantidad5 decimal(12,2) NOT NULL DEFAULT 0.00,
  Precio6 decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento6 float(5,2) NOT NULL DEFAULT 0.00,
  SitioEnAlmacen varchar(60) NOT NULL DEFAULT '',
  MiniStock decimal(18,2) NOT NULL DEFAULT 0.00,
  MaxiStock decimal(18,2) NOT NULL DEFAULT 0.00,
  HayDibujo tinyint(1) NOT NULL DEFAULT 0,
  DibujoMD5 varchar(40) NOT NULL DEFAULT '',
  TiempoDibujoModificado datetime DEFAULT NULL,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  ImprimirSigno tinyint(1) NOT NULL DEFAULT -1,
  TiempoImprimirSigno datetime DEFAULT NULL,
  AgregarPorAdjunto tinyint(1) NOT NULL DEFAULT 0,
  MultiCodigo text DEFAULT NULL,
  ConsultaParcial text DEFAULT NULL,
  FechaEntrada datetime DEFAULT NULL,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  SignoEspecial int(11) unsigned NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ArticuloID),
  KEY CodigoBarra (CodigoBarra)
) ENGINE=MyISAM ;

CREATE TABLE articuloclase (
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 0,
  NombreES varchar(30) NOT NULL DEFAULT '',
  NombreCN varchar(60) NOT NULL DEFAULT '',
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  FacturaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  SoloPorUnidad tinyint(1) NOT NULL DEFAULT 0,
  UnidadNombre varchar(30) NOT NULL DEFAULT '',
  ContarGanancias tinyint(1) NOT NULL DEFAULT 0,
  ContarStock tinyint(1) NOT NULL DEFAULT 0,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Oferta tinyint(1) NOT NULL DEFAULT 0,
  Privado tinyint(1) NOT NULL DEFAULT 0,
  ArticuloTipo smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioDetalleGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioDomicilioGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioSocioGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioMayorGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioFacturaGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioInternetGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioAmigoGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioEspecialGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  PrecioOfertaGananciaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ClaseID)
) ENGINE=MyISAM ;

CREATE TABLE articulocodigobarra (
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  PRIMARY KEY (CodigoBarra)
) ENGINE=MyISAM ;

CREATE TABLE articulodibujo (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Dibujo longblob DEFAULT NULL,
  DibujoMD5 varchar(40) NOT NULL DEFAULT '',
  PRIMARY KEY (ArticuloID)
) ENGINE=MyISAM ;

CREATE TABLE articuloeliminado (
  ArticuloID varchar(20) DEFAULT NULL,
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Comentario varchar(255) NOT NULL DEFAULT '',
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE articuloextra (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  PrecioPrivado decimal(12,4) NOT NULL DEFAULT 0.0000,
  TiempoUltimoUsar datetime DEFAULT NULL,
  PRIMARY KEY (ArticuloID)
) ENGINE=InnoDB ;

CREATE TABLE articuloprecioconsulta (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Vez int(11) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (ArticuloID)
) ENGINE=InnoDB ;

CREATE TABLE articulopreciocoste (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  PrecioCoste decimal(12,4) NOT NULL DEFAULT 0.0000,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  PrecioFinal decimal(12,4) NOT NULL DEFAULT 0.0000,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Fecha datetime DEFAULT NULL,
  KEY ArticuloID (ArticuloID),
  KEY Fecha (Fecha)
) ENGINE=MyISAM ;

CREATE TABLE bartender (
  BarTenderID smallint(5) unsigned NOT NULL DEFAULT 0,
  Name varchar(80) NOT NULL DEFAULT '',
  Family smallint(5) unsigned NOT NULL DEFAULT 0,
  Format longblob DEFAULT NULL,
  FormatMD5 varchar(40) NOT NULL DEFAULT '',
  Observacion text NOT NULL,
  PRIMARY KEY (BarTenderID)
) ENGINE=MyISAM ;

CREATE TABLE cadenaentrada (
  CadenaEntradaNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  SubTiendaSalidaID varchar(10) NOT NULL DEFAULT '',
  SubTiendaEntradaID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  Cargado tinyint(1) NOT NULL DEFAULT 0,
  Descargado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CadenaEntradaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE cadenaentradaarticulo (
  CadenaEntradaNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (CadenaEntradaNo)
) ENGINE=InnoDB ;

CREATE TABLE cadenamovimiento (
  CadenaMovimientoNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  CadenaMovimientoNoOriginal int(10) unsigned NOT NULL DEFAULT 0,
  SubTiendaSalidaID varchar(10) NOT NULL DEFAULT '',
  SubTiendaEntradaID varchar(10) NOT NULL DEFAULT '',
  CadenaSalidaNo int(10) unsigned NOT NULL DEFAULT 0,
  CadenaEntradaNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoTipo smallint(5) unsigned NOT NULL DEFAULT 0,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  ArticuloXML longblob NOT NULL,
  ArticuloXMLMD5 varchar(40) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CadenaMovimientoNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE cadenamovimientoarticulo (
  CadenaMovimientoNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (CadenaMovimientoNo)
) ENGINE=InnoDB ;

CREATE TABLE cadenasalida (
  CadenaSalidaNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  SubTiendaSalidaID varchar(10) NOT NULL DEFAULT '',
  SubTiendaEntradaID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  Cargado tinyint(1) NOT NULL DEFAULT 0,
  Descargado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CadenaSalidaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE cadenasalidaarticulo (
  CadenaSalidaNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (CadenaSalidaNo)
) ENGINE=InnoDB ;

CREATE TABLE cajon (
  CajonID smallint(5) NOT NULL DEFAULT 0,
  Nombre varchar(60) NOT NULL DEFAULT '',
  Saldo decimal(14,4) NOT NULL DEFAULT 0.0000,
  SoloSaldo tinyint(1) NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CajonID)
) ENGINE=InnoDB ;

CREATE TABLE cajonimpexp (
  CajonImpExpNo int(10) unsigned NOT NULL DEFAULT 0,
  CajonID smallint(5) DEFAULT NULL,
  ImpExpEspecial tinyint(1) NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CajonImpExpNo)
) ENGINE=InnoDB ;

CREATE TABLE cliente (
  ClienteID varchar(10) NOT NULL DEFAULT '',
  NombreES varchar(60) NOT NULL DEFAULT '',
  PrimeraLetra varchar(20) NOT NULL DEFAULT '',
  NombreCN varchar(60) NOT NULL DEFAULT '',
  PinYin varchar(200) NOT NULL DEFAULT '',
  CIF varchar(30) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  NumeroIVA varchar(30) NOT NULL DEFAULT '',
  Domicilio varchar(120) NOT NULL DEFAULT '',
  CodigoPostal varchar(20) NOT NULL DEFAULT '',
  Poblacion varchar(60) NOT NULL DEFAULT '',
  Provincia varchar(60) NOT NULL DEFAULT '',
  Pais varchar(60) NOT NULL DEFAULT '',
  EntregaDomicilio varchar(120) NOT NULL DEFAULT '',
  EntregaCodigoPostal varchar(20) NOT NULL DEFAULT '',
  EntregaPoblacion varchar(60) NOT NULL DEFAULT '',
  EntregaProvincia varchar(60) NOT NULL DEFAULT '',
  EntregaPais varchar(60) NOT NULL DEFAULT '',
  PersonaContacto varchar(60) NOT NULL DEFAULT '',
  Sexo smallint(5) unsigned NOT NULL DEFAULT 0,
  Cumpleano date DEFAULT NULL,
  Telefono varchar(20) NOT NULL DEFAULT '',
  Telefono2 varchar(20) NOT NULL DEFAULT '',
  Fax varchar(20) NOT NULL DEFAULT '',
  Email varchar(60) NOT NULL DEFAULT '',
  Web varchar(60) NOT NULL DEFAULT '',
  PrecioConIVA tinyint(1) NOT NULL DEFAULT -1,
  ReglaIVA smallint(5) unsigned NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  SinIVA tinyint(1) NOT NULL DEFAULT 0,
  SinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  REQ tinyint(1) NOT NULL DEFAULT 0,
  REQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  FacturaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  FacturaDescuento float(5,2) NOT NULL DEFAULT 0.00,
  BancoNombre varchar(60) NOT NULL DEFAULT '',
  BancoCuentaNombre varchar(60) NOT NULL DEFAULT '',
  BancoCuentaNo varchar(60) NOT NULL DEFAULT '',
  NecesitaFactura tinyint(1) NOT NULL DEFAULT 0,
  AutoEmailDocumento tinyint(1) NOT NULL DEFAULT 0,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  SinDescuento tinyint(1) NOT NULL DEFAULT 0,
  MaxSobregiro decimal(18,4) NOT NULL DEFAULT 0.0000,
  Punto int(10) unsigned NOT NULL DEFAULT 0,
  SerSocio tinyint(1) NOT NULL DEFAULT 0,
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 1,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  ChinoProhibido tinyint(1) NOT NULL DEFAULT 0,
  Extrajero tinyint(1) NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 0,
  ImprimirArticuloOrden smallint(5) unsigned NOT NULL DEFAULT 0,
  ImprimirSigno tinyint(1) NOT NULL DEFAULT 0,
  AgregarPorAdjunto tinyint(1) NOT NULL DEFAULT 0,
  ConsultaParcial text DEFAULT NULL,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  SignoEspecial int(11) unsigned NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ClienteID)
) ENGINE=MyISAM ;

CREATE TABLE clienteclase (
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 0,
  NombreES varchar(60) NOT NULL DEFAULT '',
  NombreCN varchar(60) NOT NULL DEFAULT '',
  PrecioConIVA tinyint(1) NOT NULL DEFAULT -1,
  ReglaIVA smallint(5) unsigned NOT NULL DEFAULT 0,
  SinIVA tinyint(1) NOT NULL DEFAULT 0,
  SinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  REQ tinyint(1) NOT NULL DEFAULT 0,
  REQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  FacturaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  FacturaDescuento float(5,2) NOT NULL DEFAULT 0.00,
  NecesitaFactura tinyint(1) NOT NULL DEFAULT 0,
  AutoEmailDocumento tinyint(1) NOT NULL DEFAULT 0,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  MaxSobregiro decimal(18,4) NOT NULL DEFAULT 0.0000,
  SerSocio tinyint(1) NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  ChinoProhibido tinyint(1) NOT NULL DEFAULT 0,
  Extrajero tinyint(1) NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 0,
  ImprimirArticuloOrden smallint(5) unsigned NOT NULL DEFAULT 0,
  Privado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ClaseID)
) ENGINE=MyISAM ;

CREATE TABLE clientediariototal (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  ClienteID varchar(10) NOT NULL DEFAULT '',
  Vez int(11) NOT NULL DEFAULT 0,
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  PRIMARY KEY (Fecha),
  KEY ClienteID (ClienteID)
) ENGINE=InnoDB ;

CREATE TABLE clienteextra (
  ClienteID varchar(20) NOT NULL DEFAULT '',
  TiempoUltimoUsar datetime DEFAULT NULL,
  PRIMARY KEY (ClienteID)
) ENGINE=InnoDB ;

CREATE TABLE cobro (
  CobroNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoTipo char(1) DEFAULT NULL,
  DocumentoNo int(10) unsigned DEFAULT NULL,
  EmpresaID varchar(12) NOT NULL DEFAULT '',
  EmpresaInfo varchar(100) NOT NULL DEFAULT '',
  Fecha date NOT NULL DEFAULT '0000-00-00',
  PagoFormaID smallint(5) unsigned NOT NULL DEFAULT 0,
  Importe decimal(14,4) NOT NULL DEFAULT 0.0000,
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CobroNo)
) ENGINE=InnoDB ;

CREATE TABLE codigobarrabalanza (
  CodigoBarraBalanza varchar(7) NOT NULL DEFAULT '',
  NombreES varchar(30) NOT NULL DEFAULT '',
  NombreCN varchar(24) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (CodigoBarraBalanza)
) ENGINE=MyISAM ;

CREATE TABLE consultatipo (
  ConsultaTipoID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(40) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ConsultaTipoID)
) ENGINE=MyISAM ;

CREATE TABLE dbsql (
  SQLID int(10) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(255) NOT NULL DEFAULT '',
  SQLContenido text NOT NULL,
  Observacion text NOT NULL,
  PRIMARY KEY (SQLID)
) ENGINE=MyISAM ;

CREATE TABLE devolucion (
  DevolucionNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  Fecha datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  Efectivo decimal(14,4) NOT NULL DEFAULT 0.0000,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CobroTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  CajonID smallint(5) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  PreFormaDePagoNo int(10) unsigned NOT NULL DEFAULT 0,
  DevolucionOrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  AbonoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  Cobrado tinyint(1) NOT NULL DEFAULT -1,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (DevolucionNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE devolucionarticulo (
  DevolucionNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  PrecioCoste decimal(12,4) NOT NULL DEFAULT 0.0000,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (DevolucionNo)
) ENGINE=InnoDB ;

CREATE TABLE devolucionproveedor (
  DevolucionProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  PagoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (DevolucionProveedorNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE devolucionproveedorarticulo (
  DevolucionProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (DevolucionProveedorNo)
) ENGINE=InnoDB ;

CREATE TABLE empleado (
  EmpleadoID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(18) NOT NULL DEFAULT '',
  Contrasena varchar(40) NOT NULL DEFAULT '',
  Comision float(5,2) NOT NULL DEFAULT 0.00,
  Idioma tinyint(4) NOT NULL DEFAULT 0,
  SerAgente tinyint(1) NOT NULL DEFAULT 0,
  PoderLogin tinyint(1) NOT NULL DEFAULT -1,
  PoderVentaDetalle tinyint(1) NOT NULL DEFAULT 0,
  PoderVentaMayor tinyint(1) NOT NULL DEFAULT 0,
  PoderCajonImpExp tinyint(1) NOT NULL DEFAULT 0,
  PoderGestionar tinyint(1) NOT NULL DEFAULT 0,
  PoderSaberPrecioCoste tinyint(1) NOT NULL DEFAULT 0,
  PoderStockEntrada tinyint(1) NOT NULL DEFAULT 0,
  PoderStockSalida tinyint(1) NOT NULL DEFAULT 0,
  PoderFactura tinyint(1) NOT NULL DEFAULT 0,
  PoderCambioPrecio tinyint(1) NOT NULL DEFAULT 0,
  PoderDescuento tinyint(1) NOT NULL DEFAULT 0,
  PoderDevolver tinyint(1) NOT NULL DEFAULT 0,
  PoderEliminarTicketArticulo tinyint(1) NOT NULL DEFAULT 0,
  PoderCobrarPlazos tinyint(1) NOT NULL DEFAULT 0,
  PoderArqueroCierre tinyint(1) NOT NULL DEFAULT 0,
  PoderMantener tinyint(1) NOT NULL DEFAULT 0,
  PoderAgregarArticulo tinyint(1) NOT NULL DEFAULT 0,
  PoderMantenerArticulo tinyint(1) NOT NULL DEFAULT 0,
  PoderAgregarCliente tinyint(1) NOT NULL DEFAULT 0,
  PoderMantenerCliente tinyint(1) NOT NULL DEFAULT 0,
  PoderCambioStock tinyint(1) NOT NULL DEFAULT 0,
  PoderEditarTicket tinyint(1) NOT NULL DEFAULT 0,
  PoderDBBasico tinyint(1) NOT NULL DEFAULT 0,
  PoderBS tinyint(1) NOT NULL DEFAULT 0,
  PoderPDA tinyint(1) NOT NULL DEFAULT 0,
  PoderAdjunto tinyint(1) NOT NULL DEFAULT 0,
  TrabajoPrimero smallint(5) unsigned NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (EmpleadoID)
) ENGINE=InnoDB ;

CREATE TABLE extra (
  ExtraNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  ClienteSinIVA tinyint(1) NOT NULL DEFAULT 0,
  ClienteSinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  ClienteREQ tinyint(1) NOT NULL DEFAULT 0,
  ClienteREQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  DocumentoTipo char(1) DEFAULT NULL,
  DocumentoNo int(10) unsigned DEFAULT NULL,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  Efectivo decimal(14,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  PreFormaDePagoNo int(10) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ExtraNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE extraarticulo (
  ExtraNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (ExtraNo)
) ENGINE=InnoDB ;

CREATE TABLE extraivatotal (
  ExtraNo int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  BaseImponible decimal(14,4) NOT NULL DEFAULT 0.0000,
  ImporteIVA decimal(12,4) NOT NULL DEFAULT 0.0000,
  ImporteREQ decimal(12,4) NOT NULL DEFAULT 0.0000,
  SubTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  KEY DocNo (ExtraNo)
) ENGINE=InnoDB ;

CREATE TABLE factura (
  FacturaNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  ClienteSinIVA tinyint(1) NOT NULL DEFAULT 0,
  ClienteSinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  ClienteREQ tinyint(1) NOT NULL DEFAULT 0,
  ClienteREQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  DocumentoTipo char(1) DEFAULT NULL,
  DocumentoNo int(10) unsigned DEFAULT NULL,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  Efectivo decimal(14,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  PreFormaDePagoNo int(10) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (FacturaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE facturaarticulo (
  FacturaNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (FacturaNo)
) ENGINE=InnoDB ;

CREATE TABLE facturadiariolista (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FacturaDiarioListaNo int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE facturaivatotal (
  FacturaNo int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  BaseImponible decimal(14,4) NOT NULL DEFAULT 0.0000,
  ImporteIVA decimal(12,4) NOT NULL DEFAULT 0.0000,
  ImporteREQ decimal(12,4) NOT NULL DEFAULT 0.0000,
  SubTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  KEY DocNo (FacturaNo)
) ENGINE=InnoDB ;

CREATE TABLE facturaproveedor (
  FacturaProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  PagoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (FacturaProveedorNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE facturaproveedorarticulo (
  FacturaProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (FacturaProveedorNo)
) ENGINE=InnoDB ;

CREATE TABLE gananciacambio (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  CuentaTipo enum('Ticket','Albaran') DEFAULT 'Ticket'
) ENGINE=InnoDB ;

CREATE TABLE gananciadiariototal (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Ticket decimal(16,4) NOT NULL DEFAULT 0.0000,
  TicketGanancia decimal(16,4) NOT NULL DEFAULT 0.0000,
  Albaran decimal(16,4) NOT NULL DEFAULT 0.0000,
  AlbaranGanancia decimal(16,4) NOT NULL DEFAULT 0.0000,
  Devolucion decimal(16,4) NOT NULL DEFAULT 0.0000,
  DevolucionGanancia decimal(16,4) NOT NULL DEFAULT 0.0000,
  PRIMARY KEY (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE informeespecial (
  Nombre varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombrePT varchar(80) NOT NULL DEFAULT '',
  Familia varchar(60) NOT NULL DEFAULT '',
  Tipo smallint(5) unsigned NOT NULL DEFAULT 0,
  InformeProcesadorID varchar(20) NOT NULL DEFAULT '',
  PaisID smallint(5) unsigned NOT NULL DEFAULT 999,
  ArchivoRPT longblob DEFAULT NULL,
  MD5 varchar(40) NOT NULL DEFAULT '',
  BuildIn tinyint(1) NOT NULL DEFAULT 0,
  InformeVersion varchar(20) NOT NULL DEFAULT '',
  TiempoActualizado varchar(20) NOT NULL DEFAULT '',
  Observacion text NOT NULL,
  PRIMARY KEY (Nombre)
) ENGINE=MyISAM ;

CREATE TABLE informeprocesador (
  InformeProcesadorID varchar(20) NOT NULL DEFAULT '',
  ProcesadorVersion varchar(20) NOT NULL DEFAULT '',
  Procesador longblob DEFAULT NULL,
  MD5 varchar(40) NOT NULL DEFAULT '',
  TiempoActualizado varchar(20) NOT NULL DEFAULT '',
  Observacion text NOT NULL,
  PRIMARY KEY (InformeProcesadorID)
) ENGINE=MyISAM ;

CREATE TABLE ivatipo (
  IVAID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(30) NOT NULL DEFAULT '',
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVA1 float(5,2) NOT NULL DEFAULT 0.00,
  REQ1 float(5,2) NOT NULL DEFAULT 0.00,
  IVA2 float(5,2) NOT NULL DEFAULT 0.00,
  REQ2 float(5,2) NOT NULL DEFAULT 0.00,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (IVAID)
) ENGINE=MyISAM ;

CREATE TABLE log (
  LogTime datetime DEFAULT NULL,
  ExeFileName varchar(60) NOT NULL DEFAULT '',
  Version varchar(40) DEFAULT NULL,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  Type varchar(40) DEFAULT NULL,
  DeviceIP varchar(16) NOT NULL DEFAULT '',
  Content text DEFAULT NULL,
  KEY LogTime (LogTime)
) ENGINE=InnoDB ;

CREATE TABLE opcion (
  ID varchar(80) NOT NULL DEFAULT '',
  IntegerValor bigint(20) DEFAULT NULL,
  DecimalValor decimal(16,4) DEFAULT NULL,
  VarCharValor varchar(100) DEFAULT NULL,
  TextValor longtext DEFAULT NULL,
  BlobValor longblob DEFAULT NULL,
  EnDeCodeValor blob DEFAULT NULL,
  Publico tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (ID)
) ENGINE=InnoDB ;

CREATE TABLE ordenadorejecutando (
  MysqlID bigint(20) unsigned NOT NULL DEFAULT 0,
  ProgramaID enum('BohaoMarket','BohaoMarketMan','BohaoMarketPriAdv','BohaoMarketPDA') NOT NULL DEFAULT 'BohaoMarket',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  EmpleadoNombre varchar(18) NOT NULL DEFAULT '',
  LoginTiempo datetime DEFAULT NULL,
  ClienteIDPorDescuento varchar(10) NOT NULL DEFAULT '',
  Observacion text NOT NULL,
  PRIMARY KEY (MysqlID)
) ENGINE=InnoDB ;

CREATE TABLE otrosincobrado (
  OtroSinCobradoNo int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  CobroTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (OtroSinCobradoNo)
) ENGINE=InnoDB ;

CREATE TABLE otrosinpagado (
  OtroSinPagadoNo int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  PagoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (OtroSinPagadoNo)
) ENGINE=InnoDB ;

CREATE TABLE pago (
  PagoNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoTipo char(1) DEFAULT NULL,
  DocumentoNo int(10) unsigned DEFAULT NULL,
  EmpresaID varchar(12) NOT NULL DEFAULT '',
  EmpresaInfo varchar(100) NOT NULL DEFAULT '',
  Fecha date NOT NULL DEFAULT '0000-00-00',
  PagoFormaID smallint(5) unsigned NOT NULL DEFAULT 0,
  Importe decimal(14,4) NOT NULL DEFAULT 0.0000,
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PagoNo)
) ENGINE=InnoDB ;

CREATE TABLE pagoforma (
  PagoFormaID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(30) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PagoFormaID)
) ENGINE=MyISAM ;

CREATE TABLE pedido (
  PedidoNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  UsarFechaStock tinyint(1) NOT NULL DEFAULT 0,
  FechaStock datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  FechaAlbaran date DEFAULT NULL,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Traspasado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PedidoNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE pedidoarticulo (
  PedidoNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (PedidoNo)
) ENGINE=InnoDB ;

CREATE TABLE pedidoproveedor (
  PedidoProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  UsarFechaStock tinyint(1) NOT NULL DEFAULT 0,
  FechaStock datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  FechaAlbaranProveedor date DEFAULT NULL,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Traspasado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PedidoProveedorNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE pedidoproveedorarticulo (
  PedidoProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (PedidoProveedorNo)
) ENGINE=InnoDB ;

CREATE TABLE preformadepago (
  PreFormaDePagoNo int(10) unsigned NOT NULL DEFAULT 0,
  FormaDePago varchar(250) DEFAULT NULL,
  ClienteBancoInfoIncluido tinyint(1) NOT NULL DEFAULT 0,
  Vencimientos date NOT NULL DEFAULT '0000-00-00',
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  Observacion text NOT NULL,
  PRIMARY KEY (PreFormaDePagoNo)
) ENGINE=InnoDB ;

CREATE TABLE presupuesto (
  PresupuestoNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  UsarFechaStock tinyint(1) NOT NULL DEFAULT 0,
  FechaStock datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  FechaAlbaran date DEFAULT NULL,
  PedidoNo int(10) unsigned DEFAULT NULL,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Traspasado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PresupuestoNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE presupuestoarticulo (
  PresupuestoNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (PresupuestoNo)
) ENGINE=InnoDB ;

CREATE TABLE presupuestoproveedor (
  PresupuestoProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  UsarFechaStock tinyint(1) NOT NULL DEFAULT 0,
  FechaStock datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  FechaAlbaranProveedor date DEFAULT NULL,
  PedidoProveedorNo int(10) unsigned DEFAULT NULL,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Traspasado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PresupuestoProveedorNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE presupuestoproveedorarticulo (
  PresupuestoProveedorNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (PresupuestoProveedorNo)
) ENGINE=InnoDB ;

CREATE TABLE proveedor (
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  NombreES varchar(60) NOT NULL DEFAULT '',
  PrimeraLetra varchar(20) NOT NULL DEFAULT '',
  NombreCN varchar(60) NOT NULL DEFAULT '',
  PinYin varchar(200) NOT NULL DEFAULT '',
  CIF varchar(30) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  NumeroIVA varchar(30) NOT NULL DEFAULT '',
  Domicilio varchar(120) NOT NULL DEFAULT '',
  CodigoPostal varchar(20) NOT NULL DEFAULT '',
  Poblacion varchar(60) NOT NULL DEFAULT '',
  Provincia varchar(60) NOT NULL DEFAULT '',
  Pais varchar(60) NOT NULL DEFAULT '',
  EntregaDomicilio varchar(120) NOT NULL DEFAULT '',
  EntregaCodigoPostal varchar(20) NOT NULL DEFAULT '',
  EntregaPoblacion varchar(60) NOT NULL DEFAULT '',
  EntregaProvincia varchar(60) NOT NULL DEFAULT '',
  EntregaPais varchar(60) NOT NULL DEFAULT '',
  PersonaContacto varchar(60) NOT NULL DEFAULT '',
  Sexo smallint(5) unsigned NOT NULL DEFAULT 0,
  Cumpleano date DEFAULT NULL,
  Telefono varchar(20) NOT NULL DEFAULT '',
  Telefono2 varchar(20) NOT NULL DEFAULT '',
  Fax varchar(20) NOT NULL DEFAULT '',
  Email varchar(60) NOT NULL DEFAULT '',
  Web varchar(60) NOT NULL DEFAULT '',
  PrecioConIVA tinyint(1) NOT NULL DEFAULT -1,
  ReglaIVA smallint(5) unsigned NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  SinIVA tinyint(1) NOT NULL DEFAULT 0,
  SinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  REQ tinyint(1) NOT NULL DEFAULT 0,
  REQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  FacturaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  FacturaDescuento float(5,2) NOT NULL DEFAULT 0.00,
  BancoNombre varchar(60) NOT NULL DEFAULT '',
  BancoCuentaNombre varchar(60) NOT NULL DEFAULT '',
  BancoCuentaNo varchar(60) NOT NULL DEFAULT '',
  NecesitaFactura tinyint(1) NOT NULL DEFAULT 0,
  AutoEmailDocumento tinyint(1) NOT NULL DEFAULT 0,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  SinDescuento tinyint(1) NOT NULL DEFAULT 0,
  Punto int(10) unsigned NOT NULL DEFAULT 0,
  SerSocio tinyint(1) NOT NULL DEFAULT 0,
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 1,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  ChinoProhibido tinyint(1) NOT NULL DEFAULT 0,
  Extrajero tinyint(1) NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 0,
  ImprimirArticuloOrden smallint(5) unsigned NOT NULL DEFAULT 0,
  ImprimirSigno tinyint(1) NOT NULL DEFAULT 0,
  ConsultaParcial text DEFAULT NULL,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  SignoEspecial int(11) unsigned NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ProveedorID)
) ENGINE=MyISAM ;

CREATE TABLE proveedorclase (
  ClaseID smallint(5) unsigned NOT NULL DEFAULT 0,
  NombreES varchar(60) NOT NULL DEFAULT '',
  NombreCN varchar(60) NOT NULL DEFAULT '',
  PrecioConIVA tinyint(1) NOT NULL DEFAULT -1,
  ReglaIVA smallint(5) unsigned NOT NULL DEFAULT 0,
  SinIVA tinyint(1) NOT NULL DEFAULT 0,
  SinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  REQ tinyint(1) NOT NULL DEFAULT 0,
  REQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  FacturaPorcentaje float(5,2) NOT NULL DEFAULT 100.00,
  FacturaDescuento float(5,2) NOT NULL DEFAULT 0.00,
  NecesitaFactura tinyint(1) NOT NULL DEFAULT 0,
  AutoEmailDocumento tinyint(1) NOT NULL DEFAULT 0,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  MaxSobregiro decimal(18,4) NOT NULL DEFAULT 0.0000,
  SerSocio tinyint(1) NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  ChinoProhibido tinyint(1) NOT NULL DEFAULT 0,
  Extrajero tinyint(1) NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 0,
  ImprimirArticuloOrden smallint(5) unsigned NOT NULL DEFAULT 0,
  Privado tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ClaseID)
) ENGINE=MyISAM ;

CREATE TABLE proveedordiariototal (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Vez int(11) NOT NULL DEFAULT 0,
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  PRIMARY KEY (Fecha),
  KEY ProveedorID (ProveedorID)
) ENGINE=InnoDB ;

CREATE TABLE proveedorextra (
  ProveedorID varchar(20) NOT NULL DEFAULT '',
  TiempoUltimoUsar datetime DEFAULT NULL,
  PRIMARY KEY (ProveedorID)
) ENGINE=InnoDB ;

CREATE TABLE punto (
  ClienteID varchar(10) NOT NULL DEFAULT '',
  FechaInicio date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  Vez int(11) NOT NULL DEFAULT 0,
  Saldo decimal(16,4) NOT NULL DEFAULT 0.0000,
  Descuento decimal(10,4) NOT NULL DEFAULT 0.0000,
  DescuentoBloqueado tinyint(1) NOT NULL DEFAULT 0,
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  ServidorActualizar tinyint(1) NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ClienteID)
) ENGINE=InnoDB ;

CREATE TABLE puntoentrada (
  PuntoEntradaNo int(10) unsigned NOT NULL AUTO_INCREMENT,
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  ServidorActualizar tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PuntoEntradaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE puntosalida (
  PuntoSalidaNo int(10) unsigned NOT NULL AUTO_INCREMENT,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  ServidorActualizar tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (PuntoSalidaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE stock (
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Stock decimal(18,2) NOT NULL DEFAULT 0.00,
  SitioEnAlmacen varchar(60) NOT NULL DEFAULT '',
  MiniStock decimal(18,2) NOT NULL DEFAULT 0.00,
  MaxiStock decimal(18,2) NOT NULL DEFAULT 0.00,
  KEY AlmacenID (AlmacenID),
  KEY ArticuloID (ArticuloID)
) ENGINE=InnoDB ;

CREATE TABLE stockcambio (
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00
) ENGINE=InnoDB ;

CREATE TABLE stockentrada (
  StockEntradaNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (StockEntradaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE stockentradaarticulo (
  StockEntradaNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (StockEntradaNo)
) ENGINE=InnoDB ;

CREATE TABLE stockextra (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Stock decimal(18,2) NOT NULL DEFAULT 0.00,
  PRIMARY KEY (ArticuloID)
) ENGINE=InnoDB ;

CREATE TABLE stockextracambio (
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00
) ENGINE=InnoDB ;

CREATE TABLE stocksalida (
  StockSalidaNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  ProveedorID varchar(10) NOT NULL DEFAULT '',
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (StockSalidaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE stocksalidaarticulo (
  StockSalidaNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (StockSalidaNo)
) ENGINE=InnoDB ;

CREATE TABLE subtienda (
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Nombre varchar(60) NOT NULL DEFAULT '',
  Domicilio varchar(120) NOT NULL DEFAULT '',
  CodigoPostal varchar(20) NOT NULL DEFAULT '',
  Poblacion varchar(60) NOT NULL DEFAULT '',
  Provincia varchar(60) NOT NULL DEFAULT '',
  Pais varchar(60) NOT NULL DEFAULT '',
  PersonaContacto varchar(60) NOT NULL DEFAULT '',
  Telefono varchar(40) NOT NULL DEFAULT '',
  Fax varchar(20) NOT NULL DEFAULT '',
  Email varchar(60) NOT NULL DEFAULT '',
  IP varchar(60) NOT NULL DEFAULT '',
  IPFijo tinyint(1) NOT NULL DEFAULT 0,
  PuertoDB int(10) unsigned NOT NULL DEFAULT 0,
  PuertoHTTP int(10) unsigned NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (SubTiendaID)
) ENGINE=MyISAM ;

CREATE TABLE tablapropiedad (
  TablaNombre varchar(100) NOT NULL DEFAULT '',
  Basico tinyint(1) NOT NULL DEFAULT 0,
  Publico tinyint(1) NOT NULL DEFAULT 0,
  TiempoActualizar datetime DEFAULT NULL,
  PRIMARY KEY (TablaNombre)
) ENGINE=MyISAM ;

CREATE TABLE ticket (
  TicketNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  Fecha datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  FormaDePago enum('Efectivo','Tarjeta','Cheque','Transferencia','Pendiente','Vale','Descuento','Otro','ValeSalida','DescuentoCliente','Multi') NOT NULL DEFAULT 'Efectivo',
  Efectivo decimal(14,4) NOT NULL DEFAULT 0.0000,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CobroTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  CajonID smallint(5) unsigned NOT NULL DEFAULT 0,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  ClienteSinIVA tinyint(1) NOT NULL DEFAULT 0,
  ClienteSinIVAIVAIncluido tinyint(1) NOT NULL DEFAULT -1,
  ClienteREQ tinyint(1) NOT NULL DEFAULT 0,
  ClienteREQREQIncluido tinyint(1) NOT NULL DEFAULT -1,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  PreFormaDePagoNo int(10) unsigned NOT NULL DEFAULT 0,
  TicketOrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  AbonoTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  Cobrado tinyint(1) NOT NULL DEFAULT -1,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  Modificando tinyint(1) NOT NULL DEFAULT 0,
  EmailMandado tinyint(1) NOT NULL DEFAULT 0,
  Imprimido tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (TicketNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE ticketarticulo (
  TicketNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  IVAID smallint(5) unsigned NOT NULL DEFAULT 1,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoCambioProhibido tinyint(1) NOT NULL DEFAULT 0,
  PrecioCoste decimal(12,4) NOT NULL DEFAULT 0.0000,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (TicketNo)
) ENGINE=InnoDB ;

CREATE TABLE ticketcambio (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0
) ENGINE=InnoDB ;

CREATE TABLE ticketcobro (
  TicketNo int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  DocumentoNo varchar(40) NOT NULL DEFAULT '',
  Importe decimal(14,4) NOT NULL DEFAULT 0.0000,
  FormaDePago enum('Efectivo','Tarjeta','Cheque','Transferencia','Pendiente','Vale','Descuento','Otro','ValeSalida','DescuentoCliente','Multi') NOT NULL DEFAULT 'Efectivo',
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  KEY TicketNo (TicketNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE ticketcolgando (
  TicketColgandoNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  Fecha datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  FechaEntrada datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  CobrarTipo tinyint(3) unsigned NOT NULL DEFAULT 0,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  DescuentoDirecto decimal(10,4) NOT NULL DEFAULT 0.0000,
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  DescuentoTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  ValeTotal decimal(10,4) NOT NULL DEFAULT 0.0000,
  Ganancias decimal(12,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  ArticuloCategoria int(10) unsigned NOT NULL DEFAULT 0,
  ReglaIVA tinyint(4) NOT NULL DEFAULT 0,
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT 1,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  ClienteNombre varchar(60) NOT NULL DEFAULT '',
  CobroIntentado tinyint(1) NOT NULL DEFAULT 0,
  Anulado tinyint(1) NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  CocheNo varchar(40) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Hash varchar(255) NOT NULL DEFAULT '',
  CIFID varchar(30) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  ColgarNota varchar(60) NOT NULL DEFAULT '',
  Observacion text NOT NULL,
  PRIMARY KEY (TicketColgandoNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE ticketcolgandoarticulo (
  TicketColgandoNo int(10) unsigned NOT NULL DEFAULT 0,
  ArticuloID varchar(20) NOT NULL DEFAULT '',
  CodigoBarra varchar(20) NOT NULL DEFAULT '',
  CodigoBarraBalanza tinyint(1) NOT NULL DEFAULT 0,
  NombreES varchar(255) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(12,4) NOT NULL DEFAULT 0.0000,
  Cantidad decimal(12,2) NOT NULL DEFAULT 0.00,
  Descuento float(5,2) NOT NULL DEFAULT 0.00,
  Comentario varchar(255) NOT NULL DEFAULT '',
  Temporal tinyint(1) NOT NULL DEFAULT 0,
  OrdenNo int(10) unsigned NOT NULL DEFAULT 0,
  KEY DocNo (TicketColgandoNo)
) ENGINE=InnoDB ;

CREATE TABLE ticketdiariototal (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  CantidadTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  CajaTotal decimal(12,2) NOT NULL DEFAULT 0.00,
  Efectivo decimal(16,4) NOT NULL DEFAULT 0.0000,
  Tarjeta decimal(16,4) NOT NULL DEFAULT 0.0000,
  Cheque decimal(16,4) NOT NULL DEFAULT 0.0000,
  Transferencia decimal(16,4) NOT NULL DEFAULT 0.0000,
  Vale decimal(16,4) NOT NULL DEFAULT 0.0000,
  Descuento decimal(16,4) NOT NULL DEFAULT 0.0000,
  ValeSalida decimal(16,4) NOT NULL DEFAULT 0.0000,
  DescuentoCliente decimal(16,4) NOT NULL DEFAULT 0.0000,
  Otro decimal(16,4) NOT NULL DEFAULT 0.0000,
  Pendiente decimal(16,4) NOT NULL DEFAULT 0.0000,
  GenTiendasCadenaDatos tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE ticketivatotal (
  TicketNo int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  IVASerieID smallint(5) unsigned NOT NULL DEFAULT 0,
  IVA float(5,2) NOT NULL DEFAULT 0.00,
  REQ float(5,2) NOT NULL DEFAULT 0.00,
  BaseImponible decimal(14,4) NOT NULL DEFAULT 0.0000,
  ImporteIVA decimal(12,4) NOT NULL DEFAULT 0.0000,
  ImporteREQ decimal(12,4) NOT NULL DEFAULT 0.0000,
  SubTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  KEY DocNo (TicketNo)
) ENGINE=InnoDB ;

CREATE TABLE ticketsincobrado (
  TicketNo int(10) unsigned NOT NULL DEFAULT 0,
  CuentaNoEnServidor int(10) unsigned NOT NULL DEFAULT 0,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(14,4) NOT NULL DEFAULT 0.0000,
  CobroTotal decimal(14,4) NOT NULL DEFAULT 0.0000,
  ClienteID varchar(10) NOT NULL DEFAULT '',
  AgenteID smallint(5) unsigned NOT NULL DEFAULT 0,
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  OperadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (TicketNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE tiendascadena (
  TiendasCadenaID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(30) NOT NULL DEFAULT '',
  AlmacenID smallint(5) unsigned NOT NULL DEFAULT 1,
  Dominio varchar(80) NOT NULL DEFAULT '',
  UltimoTiempoActualizar datetime DEFAULT NULL,
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (TiendasCadenaID)
) ENGINE=MyISAM ;

CREATE TABLE transportista (
  TransportistaID smallint(5) unsigned NOT NULL DEFAULT 0,
  Nombre varchar(60) NOT NULL DEFAULT '',
  CIF varchar(30) NOT NULL DEFAULT '',
  Domicilio varchar(120) NOT NULL DEFAULT '',
  CodigoPostal varchar(20) NOT NULL DEFAULT '',
  Poblacion varchar(60) NOT NULL DEFAULT '',
  Provincia varchar(60) NOT NULL DEFAULT '',
  Telefono varchar(20) NOT NULL DEFAULT '',
  Telefono2 varchar(20) NOT NULL DEFAULT '',
  Fax varchar(20) NOT NULL DEFAULT '',
  CocheNo varchar(40) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (TransportistaID)
) ENGINE=MyISAM ;

CREATE TABLE vale (
  ValeNo int(10) unsigned NOT NULL DEFAULT 0,
  Importe decimal(14,4) NOT NULL DEFAULT 0.0000,
  Fecha date NOT NULL DEFAULT '0000-00-00',
  FormaDePago enum('Efectivo','Tarjeta','Cheque','Transferencia','Pendiente','Vale','Descuento','Otro','ValeSalida','DescuentoCliente','Multi') NOT NULL DEFAULT 'Efectivo',
  Localizador varchar(16) NOT NULL DEFAULT '',
  EmpresaID varchar(12) NOT NULL DEFAULT '',
  Caducado tinyint(1) NOT NULL DEFAULT 0,
  FechaCaducada date DEFAULT NULL,
  CreadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  TiempoCreado datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  TiendasCadenaIDCreado smallint(5) unsigned NOT NULL DEFAULT 0,
  Usado tinyint(1) NOT NULL DEFAULT 0,
  UsadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  TiempoUsado datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  TiendasCadenaIDUsado smallint(5) unsigned NOT NULL DEFAULT 0,
  VerificadorID smallint(5) unsigned NOT NULL DEFAULT 0,
  DocumentoAdjuntoSimbolo varchar(60) NOT NULL DEFAULT '',
  DocumentoOrigenTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoOrigenNo int(10) unsigned NOT NULL DEFAULT 0,
  DocumentoDestinoTipo enum('Presupuesto','Pedido','Albaran','Ticket','Devolucion','Factura','Abono','Extra','PresupuestoProveedor','PedidoProveedor','AlbaranProveedor','DevolucionProveedor','FacturaProveedor','AbonoProveedor','StockEntrada','StockSalida') DEFAULT NULL,
  DocumentoDestinoNo int(10) unsigned NOT NULL DEFAULT 0,
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  SubTiendaID varchar(10) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT 0,
  Observacion text NOT NULL,
  PRIMARY KEY (ValeNo)
) ENGINE=InnoDB ;

CREATE TABLE ventacambio (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  CuentaTipo enum('Ticket','Albaran') DEFAULT 'Ticket'
) ENGINE=InnoDB ;

CREATE TABLE ventadiariototal (
  Fecha date NOT NULL DEFAULT '0000-00-00',
  Total decimal(16,4) NOT NULL DEFAULT 0.0000,
  Ticket decimal(16,4) NOT NULL DEFAULT 0.0000,
  Albaran decimal(16,4) NOT NULL DEFAULT 0.0000,
  Devolucion decimal(16,4) NOT NULL DEFAULT 0.0000,
  PRIMARY KEY (Fecha)
) ENGINE=InnoDB ;

